<template>
  <div class="app">
    <header-component/>
    <main>
      <todo-component/>
    </main>
    <router-view/>
  </div>
</template>

<script>
import todoComponent from './components/todo-component'
import headerComponent from './components/header-component'
export default {
  name: 'App',
  components: {
    todoComponent,
    headerComponent
  }

}
</script>

<style>
*,
*::before,
*::after {
  @import url('https://fonts.googleapis.com/css2?family=Titillium+Web:wght@400;700&display=swap');
  @import url('https://fonts.googleapis.com/css2?family=Boogaloo&display=swap');
  font-family: 'Titillium Web', sans-serif;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

main {
  width: 1200px;
  margin: 0 auto;
}

.app {
  color: #000;
}

@media screen and (max-width: 1200px) {
  main {
    width: 1000px;
  }
}

@media screen and (max-width: 1025px) {
  main {
    width: 768px;
  }
}

@media screen and (max-width: 780px) {
  main {
    width: 560px;
  }
}

@media screen and (max-width: 570px) {
  main {
    width: 350px;
  }
}
</style>
